help! Rated 5 out of 5 stars

I have allways used and loved this with other versions of firefox but i cant install it to 3.0, i dont understand... any ideas as to what i'm doing wrong?

This review is for a previous version of the add-on (1.2.1). 

let me know

let me know how it worked out for you. maybe there was a conflict with another addon?